{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}

    <style>
        .navbar {
            background-color: var(--primaryColor) !important;
        }

        .navbar a {
            color: white !important;
        }
    </style>
{% endblock %}

{% block body %}




    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Profil
        {% endblock %}

        {% block menuBar %}

            <a href="/member/profile/edit">Edit Profil</a>


        {% endblock %}
    {% endembed %}

    <section class="b-primary r-bottom" style="height: 7em">

    </section>

    <div  style="margin-top: -3.5em">
            <img src="{{ user.getGeneratedAvatar() != null ? user.getGeneratedAvatar() : asset('images/no-image.png') }}" class="image-bunder" style="height: 7em; width: 7em">
    </div>
    <section class="container-fluid mt-5e" >


        <p class="font-weight-bold f12 mt-3">Profil</p>

        <p class="f08 text-black-50 mt-3 mb-1">Nama</p>
        <p class="font-weight-bold">{{ user.getFullName() }}</p>

        <p class="f08 text-black-50 mt-3 mb-1">Jenis Kelamin</p>
        <p class="font-weight-bold">{{ user.getGender() != null ? (user.getGender() != true ? 'Perempuan' : 'Laki - Laki') : '' }}</p>

        <p class="f08 text-black-50 mt-3 mb-1">Tanggal Lahir</p>
        <p class="font-weight-bold">{{ user.getDateOfBirth() != null ? user.dateOfBirth()|date('d F Y', "Asia/Jakarta") }}</p>

        <p class="f08 text-black-50 mt-3 mb-1">Sekolah</p>
        <p class="font-weight-bold">{{ user.getSchool() }}</p>

        <p class="f08 text-black-50 mt-3 mb-1">Kelas</p>
        <p class="font-weight-bold">{{ user.getClass() != null ? user.getClass().getName() : '' }}</p>

        <p class="f08 text-black-50 mt-3 mb-1">Nama Orangtua</p>
        <p class="font-weight-bold">{{ user.getParentName() }}</p>

        <p class="f08 text-black-50 mt-3 mb-1">Nomor Telepon Orangtua</p>
        <p class="font-weight-bold">{{ user.getParentPhone() }}</p>

        <p class="font-weight-bold f12 mt-3">Alamat</p>

        <p class="f08 text-black-50 mt-3 mb-1">Kecamatan</p>
        <p class="font-weight-bold">{{ user.getDistrict() != null ? user.getDistrict().getDistrictName()~', '~user.getDistrict().getCity().getCityName() }}</p>

        <p class="f08 text-black-50 mt-3 mb-1">Alamat Lengkap</p>
        <p class="font-weight-bold">{{ user.getAddress() }}</p>

        <div class="p-3 fixed-bottom  bg-white">
            <a class="d-block bt-outline-primary" href="/member/profile/edit">Edit Profil</a>
        </div>
    </section>



    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}


    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>


{% endblock %}